post
https://api.staging.antavo.com/events/bulk
Use this endpoint to submit multiple events within a single API request. Events are processed individually and synchronously.
Examples of event submissions:
- Standard event submission: Submit events for the customers without any additional identifiers.
- Event submission with an external ID: Include the
external_idattribute to link the events with external identifiers of customers from another system or database. - Event submission with multiple accounts: Specify multiple accounts by including their IDs in the
accountattribute. This requires the Points economy module to be enabled.
Note: if no account is specified, the events will be assigned to the default account.
The response will include a success message or an error for each event in the order they were submitted. An error code is only returned if the entire request is invalid, not for errors related to individual event submissions.
Note
This endpoint is not compatible with guest checkout. Guest checkout events must be submitted individually via the/eventsendpoint using"guest": "true", and later linked to a member with thecheckout_claimevent.

